MsWksDocumentInternal::SubDocument Class Referencefinal

Internal: the subdocument of a MsWksDocument. More...

Inheritance diagram for MsWksDocumentInternal::SubDocument:

## Public Types

enum | Type { Note , OLE , Zone , Text }

## Public Member Functions

| SubDocument (MsWksDocument &document, MWAWInputStreamPtr const &input, Type type, int zoneId)
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes

MsWksDocument & | m_document
| the main document
Type | m_type
| the type
int | m_id
| the subdocument id
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Detailed Description

Internal: the subdocument of a MsWksDocument.

## Member Enumeration Documentation

## Type

enum MsWksDocumentInternal::SubDocument::Type

Enumerator
Note |
OLE |
Zone |
Text |

## Constructor & Destructor Documentation

## SubDocument()

MsWksDocumentInternal::SubDocument::SubDocument | ( | MsWksDocument & | document,
|  | MWAWInputStreamPtr const & | input,
|  | Type | type,
|  | int | zoneId )

inline

Referenced by operator!=().

## ~SubDocument()

MsWksDocumentInternal::SubDocument::~SubDocument | ( |  | ) |

inline final

destructor

## Member Function Documentation

## operator!=()

bool MsWksDocumentInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

final virtual

operator!=

Reimplemented from MWAWSubDocument.

## parse()

void MsWksDocumentInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )

final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## m_document

MsWksDocument& MsWksDocumentInternal::SubDocument::m_document

protected

the main document

Referenced by operator!=(), parse(), and SubDocument().

## m_id

int MsWksDocumentInternal::SubDocument::m_id

protected

the subdocument id

Referenced by operator!=(), parse(), and SubDocument().

## m_type

Type MsWksDocumentInternal::SubDocument::m_type

protected

the type

Referenced by operator!=(), parse(), and SubDocument().

The documentation for this class was generated from the following file:

- MsWksDocument.cxx